## e-iconv

e-iconv

## Synopsis

    const gchar *       e_iconv_charset_name                (const gchar *charset);
    iconv_t             e_iconv_open                        (const gchar *oto,
                                                             const gchar *ofrom);
    gsize               e_iconv                             (iconv_t cd,
                                                             const gchar **inbuf,
                                                             gsize *inbytesleft,
                                                             gchar **outbuf,
                                                             gsize *outbytesleft);
    void                e_iconv_close                       (iconv_t ip);
    const gchar *       e_iconv_locale_charset              (void);
    const gchar *       e_iconv_locale_language             (void);
    const gchar *       e_iconv_charset_language            (const gchar *charset);

## Description

## Details

### e_iconv_charset_name ()

    const gchar *       e_iconv_charset_name                (const gchar *charset);

### Warning

`e_iconv_charset_name` is deprecated and should not be used in newly-written code.

`charset` : |
Returns : |

### e_iconv_open ()

    iconv_t             e_iconv_open                        (const gchar *oto,
                                                             const gchar *ofrom);

### Warning

`e_iconv_open` is deprecated and should not be used in newly-written code.

`oto` : |
`ofrom` : |
Returns : |

### e_iconv ()

    gsize               e_iconv                             (iconv_t cd,
                                                             const gchar **inbuf,
                                                             gsize *inbytesleft,
                                                             gchar **outbuf,
                                                             gsize *outbytesleft);

### Warning

`e_iconv` is deprecated and should not be used in newly-written code.

`cd` : |
`inbuf` : |
`inbytesleft` : |
`outbuf` : |
`outbytesleft` : |
Returns : |

### e_iconv_close ()

    void                e_iconv_close                       (iconv_t ip);

### Warning

`e_iconv_close` is deprecated and should not be used in newly-written code.

`ip` : |

### e_iconv_locale_charset ()

    const gchar *       e_iconv_locale_charset              (void);

### Warning

`e_iconv_locale_charset` is deprecated and should not be used in newly-written code.

Returns : |

### e_iconv_locale_language ()

    const gchar *       e_iconv_locale_language             (void);

### Warning

`e_iconv_locale_language` is deprecated and should not be used in newly-written code.

Returns : |

### e_iconv_charset_language ()

    const gchar *       e_iconv_charset_language            (const gchar *charset);

### Warning

`e_iconv_charset_language` is deprecated and should not be used in newly-written code.

`charset` : |
Returns : |